Bug 1460934 - Review Request: adobe-source-han-serif-tw-fonts - Adobe OpenType Pan-CJK font family for Traditional Chinese
Review Request: adobe-source-han-serif-tw-fonts - Adobe OpenType Pan-CJK font...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 03:53 EDT by Peng Wu
Modified: 2017-06-26 15:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 15:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2017-06-13 03:53:27 EDT
Spec URL: https://pwu.fedorapeople.org/fonts/adobe-source-han-serif-tw-fonts/adobe-source-han-serif-tw-fonts.spec
SRPM URL: https://pwu.fedorapeople.org/fonts/adobe-source-han-serif-tw-fonts/adobe-source-han-serif-tw-fonts-1.001-1.fc25.src.rpm
Description: Source Han Serif is a set of OpenType/CFF Pan-CJK fonts.
Fedora Account System Username:pwu
Comment 1 Parag AN(पराग) 2017-06-13 07:39:59 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Suggestions:
1) Add fonts metainfo appdata file for gnome-software

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "SIL (v1.1)", "*No copyright* SIL (v1.1)". Detailed output of
     licensecheck in /home/parag/Downloads/songs/1460934-adobe-source-han-
     serif-tw-fonts/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

fonts:
[ ]: Run repo-font-audit on all fonts in package.
     Note: Test run failed
[x]: Run ttname on all fonts in package.
     Note: ttname analyze results in fonts/ttname.log.


Rpmlint
-------
Checking: adobe-source-han-serif-tw-fonts-1.001-1.fc27.noarch.rpm
          adobe-source-han-serif-tw-fonts-1.001-1.fc27.src.rpm
adobe-source-han-serif-tw-fonts.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
adobe-source-han-serif-tw-fonts.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
adobe-source-han-serif-tw-fonts (rpmlib, GLIBC filtered):
    config(adobe-source-han-serif-tw-fonts)
    fontpackages-filesystem



Provides
--------
adobe-source-han-serif-tw-fonts:
    adobe-source-han-serif-tw-fonts
    config(adobe-source-han-serif-tw-fonts)
    font(:lang=aa)
    font(:lang=an)
    font(:lang=ay)
    font(:lang=bg)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=ch)
    font(:lang=da)
    font(:lang=de)
    font(:lang=en)
    font(:lang=es)
    font(:lang=eu)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gn)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=ht)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ig)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=jv)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kum)
    font(:lang=kwm)
    font(:lang=lb)
    font(:lang=li)
    font(:lang=mg)
    font(:lang=ms)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=os)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sc)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tl)
    font(:lang=ts)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=wa)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zh-tw)
    font(:lang=zu)
    font(sourcehanseriftw)
    font(sourcehanseriftwextralight)
    font(sourcehanseriftwheavy)
    font(sourcehanseriftwlight)
    font(sourcehanseriftwmedium)
    font(sourcehanseriftwsemibold)
    font(思源宋體tw)
    font(思源宋體twextralight)
    font(思源宋體twheavy)
    font(思源宋體twlight)
    font(思源宋體twmedium)
    font(思源宋體twsemibold)



Source checksums
----------------
https://github.com/adobe-fonts/source-han-serif/raw/release/SubsetOTF/SourceHanSerifTW.zip :
  CHECKSUM(SHA256) this package     : 8475fcac5ee874422494ab62a71e1e5d06af3102e5e05f31345c686c9d210041
  CHECKSUM(SHA256) upstream package : 8475fcac5ee874422494ab62a71e1e5d06af3102e5e05f31345c686c9d210041


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1460934 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, fonts, Shell-api
Comment 2 Parag AN(पराग) 2017-06-15 04:42:45 EDT
I see this font is going to be default installed and in that case you don't need appdata file mandatory.
Comment 3 Gwyn Ciesla 2017-06-16 09:06:30 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/adobe-source-han-serif-tw-fonts
Comment 4 Fedora Update System 2017-06-20 02:54:25 EDT
adobe-source-han-serif-tw-fonts-1.001-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c8665ecb8a
Comment 5 Fedora Update System 2017-06-21 02:23:24 EDT
adobe-source-han-serif-tw-fonts-1.001-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c8665ecb8a
Comment 6 Fedora Update System 2017-06-26 15:11:22 EDT
adobe-source-han-serif-tw-fonts-1.001-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.